curl --request POST \
--url https://perps-api.vooi.io/user-exchange/{exchange}/register/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"agentExpiry": 123,
"apiKeyIndex": 123,
"builderAddress": "0x1234567890abcdef1234567890abcdef12345678",
"builderName": "<string>",
"maxFeeRate": "0.0003",
"referralCode": "<string>"
}
'import requests
url = "https://perps-api.vooi.io/user-exchange/{exchange}/register/prepare"
payload = {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"agentExpiry": 123,
"apiKeyIndex": 123,
"builderAddress": "0x1234567890abcdef1234567890abcdef12345678",
"builderName": "<string>",
"maxFeeRate": "0.0003",
"referralCode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0x1234567890abcdef1234567890abcdef12345678',
agentExpiry: 123,
apiKeyIndex: 123,
builderAddress: '0x1234567890abcdef1234567890abcdef12345678',
builderName: '<string>',
maxFeeRate: '0.0003',
referralCode: '<string>'
})
};
fetch('https://perps-api.vooi.io/user-exchange/{exchange}/register/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exchange": "aster",
"registrationToken": "<string>",
"signData": [
{
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123,
"verifyingContract": "0x1234567890abcdef1234567890abcdef12345678"
},
"message": {},
"primaryType": "<string>",
"types": {}
},
{
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123,
"verifyingContract": "0x1234567890abcdef1234567890abcdef12345678"
},
"message": {},
"primaryType": "<string>",
"types": {}
}
]
}Prepare exchange registration
Generates exchange-specific registration data and returns sign data for the user to sign, along with an opaque registration token.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Supported perpetual exchange
aster, binance, bybit, extended, gate, hyperliquid, lighter, mexc, ondo, robinhood Body
User address
"0x1234567890abcdef1234567890abcdef12345678"
Aster agent expiry timestamp (ms)
x <= 9007199254740991Lighter API key index
x <= 9007199254740991Aster builder address signed off in the API agent approval. Defaults to a server-side constant when omitted
"0x1234567890abcdef1234567890abcdef12345678"
Aster builder display name. Defaults to a server-side constant when omitted
1Aster builder max fee-rate cap as a decimal string, where 3 bps equals 3 / 10,000 = 0.0003. Defaults to a server-side constant when omitted
1"0.0003"
Referral code bound to the new account right after registration on aster, hyperliquid, lighter, robinhood, extended and ondo. The VOOI code is applied when you omit it
1Response
Registration preparation data
- AsterPrepareRegistrationResponse
- ExtendedPrepareRegistrationResponse
- HyperliquidPrepareRegistrationResponse
- LighterPrepareRegistrationResponse
- OndoPrepareRegistrationResponse
- RobinhoodPrepareRegistrationResponse
aster Opaque token. Pass back unchanged in the execute request
Two EIP-712 messages to sign in order: [0] register and approve the VOOI API agent (registerAndApproveAgent), [1] approve the VOOI builder for order-time fee attribution.
Show child attributes
Show child attributes